LazyMap (groovy 2.4.11 API)
Date: 2017-04-27

Package: groovy.json.internal

## [Java] Class LazyMap

- groovy.json.internal.LazyMap

- This maps only builds once you ask for a key for the first time. It is designed to not incur the overhead of creating a map unless needed.

  Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LazyMap ()`
    `LazyMap (int initialSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `LazyMap` | `clearAndCopy()`
    `` | `protected Object` | `clone()`
    `` | `boolean` | `containsKey(Object key)`
    `` | `boolean` | `containsValue(Object value)`
    `` | `Set<Entry<String, Object>>` | `entrySet()`
    `` | `boolean` | `equals(Object o)`
    `` | `Object` | `get(Object key)`
    `<V>` | `static V[]` | `grow(V[] array)`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isEmpty()`
    `` | `Set<String>` | `keySet()`
    `` | `Object` | `put(String key, Object value)`
    `` | `void` | `putAll(Map m)`
    `` | `Object` | `remove(Object key)`
    `` | `int` | `size()`
    `` | `String` | `toString()`
    `` | `Collection<Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, keySet, containsKey, containsValue, wait, wait, wait, getClass, notify, notifyAll, remove, replace, replace, replaceAll, putIfAbsent, compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public LazyMap()

    - #### public LazyMap(int initialSize)

  - ### Method Detail

    - #### public void clear()

    - #### public LazyMap clearAndCopy()

    - #### protected Object clone()

    - #### public boolean containsKey(Object key)

    - #### public boolean containsValue(Object value)

    - #### public Set<Entry<String, Object>> entrySet()

    - #### public boolean equals(Object o)

    - #### public Object get(Object key)

    - #### <V> public static V[] grow(V[] array)

    - #### public int hashCode()

    - #### public boolean isEmpty()

    - #### public Set<String> keySet()

    - #### public Object put(String key, Object value)

    - #### public void putAll(Map m)

    - #### public Object remove(Object key)

    - #### public int size()

    - #### public String toString()

    - #### public Collection<Object> values()